import React, { useState } from 'react';

function ImageConverter() {
  const [imageData, setImageData] = useState(null);

  const convertImageToBase64 = async (image) => {
    try {
      const blob = await fetch(image).then((response) => response.blob());
      const reader = new FileReader();
      reader.onload = function (event) {
        const base64Image = event.target.result.split(',')[1];

        const apiUrl = 'https://mukesh3444-ai-detect.hf.space/?logs=container';
        const payload = {
          img: base64Image,
        };
        const jsonPayload = JSON.stringify(payload);
        const headers = {
          'Content-Type': 'application/json',
        };
        const requestOptions = {
          method: 'POST',
          headers: headers,
          body: jsonPayload,
        };

        fetch(apiUrl, requestOptions, {
          mode: 'no-cors',
        })
          .then((response) => {
            if (!response.ok) {
              throw new Error(`HTTP Error! Status: ${response.status}`);
            }
            return response.json();
          })
          .then((data) => {
            // Handle the API response data here
            console.log('API Response:', data);
            // You can set the response data to a state variable if needed
            // setImageData(data);
            // Perform other actions here
          })
          .catch((error) => {
            console.error('Error:', error);
          });
      };
      reader.readAsDataURL(blob);
    } catch (error) {
      console.error('Error fetching or reading the image file:', error);
    }
  };

  return (
    <div>
      {/* You can pass the image URL as a parameter to the convertImageToBase64 function */}
      <button onClick={() => convertImageToBase64('your-image-source.jpg')}>
        Convert Image
      </button>
      {/* You can display the converted data if needed */}
      {imageData && <div>Converted Image Data: {imageData}</div>}
    </div>
  );
}

export default ImageConverter;
