import React, { useEffect } from "react";
import { Form } from "react-bootstrap";

const RoomInMyHouseUpload = ({ close, onSelect }) => {
  useEffect(() => {
      const fileId = document.getElementById('file_upload');
      fileId.click()
  }, [])

  const handleChange = (e) => {
    const uploadedFile = URL.createObjectURL(e.target.files[0])
    const timestamp = Date.now();
    const itemObj = {
      room_in_house: true,
      brand_id: 0,
      createdAt: timestamp,
      default_product_id: 2,
      file_name: e.target.files[0].name,
      file_path: uploadedFile,
      id: 2,
      live_path: uploadedFile,
      status: "A",
      updatedAt: timestamp,
      window_estimate_size: ""
    }

    const img = new Image();
    img.src = itemObj.file_path;
    img.onload = function() {
      itemObj.uploadImageDimensions = {
            width: this.naturalWidth,
            height: this.naturalHeight
        };
        onSelect({ [timestamp]: { sampleRoom: itemObj } });
        close(false);
    };

    onSelect({ [timestamp]: { sampleRoom: itemObj} });
    close(false);
  };

  window.addEventListener('cancel', () => {
    close(false);
  });

  return (
    <>
      <span className="container-fluid d-none">
        <Form >
          <input
            id="file_upload"
            type="file"
            accept="image/*"
            name="fileName"
            onChange={(e) => handleChange(e)}
          />
        </Form>
      </span>
    </>
  );
}

export default RoomInMyHouseUpload;
